<link:linkbase
    xmlns:link="http://www.xbrl.org/2003/linkbase"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    xmlns:xbrldt="http://xbrl.org/2005/xbrldt"
    >

   <link:arcroleRef xlink:type="simple" xlink:href="https://www.xbrl.org/2023/calculation-1.1.xsd#summation-item" arcroleURI="https://xbrl.org/2023/arcrole/summation-item"/>
   <link:roleRef xlink:type="simple" xlink:href="9845008F599B95980934-2025-12-31.xsd#id_3" roleURI="https://grenardi.lv/xbrl/role/all/ias_1_role-210000"/>
   <link:roleRef xlink:type="simple" xlink:href="9845008F599B95980934-2025-12-31.xsd#id_4" roleURI="https://grenardi.lv/xbrl/role/all/ias_1_role-410000"/>
   <link:roleRef xlink:type="simple" xlink:href="9845008F599B95980934-2025-12-31.xsd#id_8" roleURI="https://grenardi.lv/xbrl/role/all/ias_7_role-520000"/>
   <!-- https://xbrl.org/2023/arcrole/summation-item https://grenardi.lv/xbrl/role/all/ias_1_role-210000 -->
   <link:calculationLink xlink:role="https://grenardi.lv/xbrl/role/all/ias_1_role-210000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Assets" xlink:label="ifrs-full_Assets" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentAssets" xlink:label="ifrs-full_NoncurrentAssets" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_Assets"
                          xlink:to="ifrs-full_NoncurrentAssets"
                            order="10.0"
                            weight="1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentAssets" xlink:label="ifrs-full_CurrentAssets" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_Assets"
                          xlink:to="ifrs-full_CurrentAssets"
                            order="20.0"
                            weight="1.0"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://grenardi.lv/xbrl/role/all/ias_1_role-210000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentAssets" xlink:label="ifrs-full_NoncurrentAssets" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PropertyPlantAndEquipment" xlink:label="ifrs-full_PropertyPlantAndEquipment" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_NoncurrentAssets"
                          xlink:to="ifrs-full_PropertyPlantAndEquipment"
                            order="10.0"
                            weight="1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IntangibleAssetsAndGoodwill" xlink:label="ifrs-full_IntangibleAssetsAndGoodwill" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_NoncurrentAssets"
                          xlink:to="ifrs-full_IntangibleAssetsAndGoodwill"
                            weight="1.0"
                            order="11.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentFinancialAssets" xlink:label="ifrs-full_NoncurrentFinancialAssets" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_NoncurrentAssets"
                          xlink:to="ifrs-full_NoncurrentFinancialAssets"
                            weight="1.0"
                            order="12.0"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://grenardi.lv/xbrl/role/all/ias_1_role-210000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentAssets" xlink:label="ifrs-full_CurrentAssets" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Inventories" xlink:label="ifrs-full_Inventories" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CurrentAssets"
                          xlink:to="ifrs-full_Inventories"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TradeAndOtherCurrentReceivables" xlink:label="ifrs-full_TradeAndOtherCurrentReceivables" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CurrentAssets"
                          xlink:to="ifrs-full_TradeAndOtherCurrentReceivables"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="ifrs-full_CashAndCashEquivalents" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CurrentAssets"
                          xlink:to="ifrs-full_CashAndCashEquivalents"
                            weight="1.0"
                            order="3"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://grenardi.lv/xbrl/role/all/ias_1_role-210000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EquityAndLiabilities" xlink:label="ifrs-full_EquityAndLiabilities" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Equity" xlink:label="ifrs-full_Equity" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_EquityAndLiabilities"
                          xlink:to="ifrs-full_Equity"
                            order="10.0"
                            weight="1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Liabilities" xlink:label="ifrs-full_Liabilities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_EquityAndLiabilities"
                          xlink:to="ifrs-full_Liabilities"
                            order="20.0"
                            weight="1.0"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://grenardi.lv/xbrl/role/all/ias_1_role-210000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Equity" xlink:label="ifrs-full_Equity" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IssuedCapital" xlink:label="ifrs-full_IssuedCapital" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_Equity"
                          xlink:to="ifrs-full_IssuedCapital"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RetainedEarningsExcludingProfitLossForReportingPeriod" xlink:label="ifrs-full_RetainedEarningsExcludingProfitLossForReportingPeriod" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_Equity"
                          xlink:to="ifrs-full_RetainedEarningsExcludingProfitLossForReportingPeriod"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RetainedEarningsProfitLossForReportingPeriod" xlink:label="ifrs-full_RetainedEarningsProfitLossForReportingPeriod" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_Equity"
                          xlink:to="ifrs-full_RetainedEarningsProfitLossForReportingPeriod"
                            weight="1.0"
                            order="3"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_SharePremium" xlink:label="ifrs-full_SharePremium" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_Equity"
                          xlink:to="ifrs-full_SharePremium"
                            weight="1.0"
                            order="4"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://grenardi.lv/xbrl/role/all/ias_1_role-210000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Liabilities" xlink:label="ifrs-full_Liabilities" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="ifrs-full_NoncurrentLiabilities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_Liabilities"
                          xlink:to="ifrs-full_NoncurrentLiabilities"
                            order="10.0"
                            weight="1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentLiabilities" xlink:label="ifrs-full_CurrentLiabilities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_Liabilities"
                          xlink:to="ifrs-full_CurrentLiabilities"
                            order="20.0"
                            weight="1.0"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://grenardi.lv/xbrl/role/all/ias_1_role-210000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="ifrs-full_NoncurrentLiabilities" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_BondsIssued" xlink:label="ifrs-full_BondsIssued" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_NoncurrentLiabilities"
                          xlink:to="ifrs-full_BondsIssued"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentLeaseLiabilities" xlink:label="ifrs-full_NoncurrentLeaseLiabilities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_NoncurrentLiabilities"
                          xlink:to="ifrs-full_NoncurrentLeaseLiabilities"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://grenardi.lv/xbrl/role/all/ias_1_role-210000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentLiabilities" xlink:label="ifrs-full_CurrentLiabilities" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentProvisions" xlink:label="ifrs-full_CurrentProvisions" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CurrentLiabilities"
                          xlink:to="ifrs-full_CurrentProvisions"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers" xlink:label="ifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CurrentLiabilities"
                          xlink:to="ifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentDepositsFromCustomers" xlink:label="ifrs-full_CurrentDepositsFromCustomers" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CurrentLiabilities"
                          xlink:to="ifrs-full_CurrentDepositsFromCustomers"
                            weight="1.0"
                            order="3"
                          xlink:type="arc"/>
      <link:loc xlink:href="9845008F599B95980934-2025-12-31.xsd#GrenardiGroup_ParādiAsociētajāmSabiedrībām" xlink:label="GrenardiGroup_ParādiAsociētajāmSabiedrībām" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CurrentLiabilities"
                          xlink:to="GrenardiGroup_ParādiAsociētajāmSabiedrībām"
                            weight="1.0"
                            order="4"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentTaxLiabilitiesCurrent" xlink:label="ifrs-full_CurrentTaxLiabilitiesCurrent" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CurrentLiabilities"
                          xlink:to="ifrs-full_CurrentTaxLiabilitiesCurrent"
                            weight="1.0"
                            order="5"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentNotesAndDebenturesIssuedAndCurrentPortionOfNoncurrentNotesAndDebenturesIssued" xlink:label="ifrs-full_CurrentNotesAndDebenturesIssuedAndCurrentPortionOfNoncurrentNotesAndDebenturesIssued" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CurrentLiabilities"
                          xlink:to="ifrs-full_CurrentNotesAndDebenturesIssuedAndCurrentPortionOfNoncurrentNotesAndDebenturesIssued"
                            weight="1.0"
                            order="6"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherCurrentBorrowingsAndCurrentPortionOfOtherNoncurrentBorrowings" xlink:label="ifrs-full_OtherCurrentBorrowingsAndCurrentPortionOfOtherNoncurrentBorrowings" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CurrentLiabilities"
                          xlink:to="ifrs-full_OtherCurrentBorrowingsAndCurrentPortionOfOtherNoncurrentBorrowings"
                            weight="1.0"
                            order="7"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentLeaseLiabilities" xlink:label="ifrs-full_CurrentLeaseLiabilities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CurrentLiabilities"
                          xlink:to="ifrs-full_CurrentLeaseLiabilities"
                            weight="1.0"
                            order="8"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherLiabilities" xlink:label="ifrs-full_OtherLiabilities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CurrentLiabilities"
                          xlink:to="ifrs-full_OtherLiabilities"
                            weight="1.0"
                            order="9"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://grenardi.lv/xbrl/role/all/ias_1_role-210000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IntangibleAssetsAndGoodwill" xlink:label="ifrs-full_IntangibleAssetsAndGoodwill" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Goodwill" xlink:label="ifrs-full_Goodwill" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_IntangibleAssetsAndGoodwill"
                          xlink:to="ifrs-full_Goodwill"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherIntangibleAssets" xlink:label="ifrs-full_OtherIntangibleAssets" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_IntangibleAssetsAndGoodwill"
                          xlink:to="ifrs-full_OtherIntangibleAssets"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
      <link:loc xlink:href="9845008F599B95980934-2025-12-31.xsd#GrenardiGroup_KoncesijasPatentiLicencesPrečuZīmesUnTamlīdzīgasTiesības" xlink:label="GrenardiGroup_KoncesijasPatentiLicencesPrečuZīmesUnTamlīdzīgasTiesības" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_IntangibleAssetsAndGoodwill"
                          xlink:to="GrenardiGroup_KoncesijasPatentiLicencesPrečuZīmesUnTamlīdzīgasTiesības"
                            weight="1.0"
                            order="3"
                          xlink:type="arc"/>
      <link:loc xlink:href="9845008F599B95980934-2025-12-31.xsd#GrenardiGroup_AvansaMaksājumiParNemateriālajiemIeguldījumiem" xlink:label="GrenardiGroup_AvansaMaksājumiParNemateriālajiemIeguldījumiem" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_IntangibleAssetsAndGoodwill"
                          xlink:to="GrenardiGroup_AvansaMaksājumiParNemateriālajiemIeguldījumiem"
                            weight="1.0"
                            order="4"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://grenardi.lv/xbrl/role/all/ias_1_role-210000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Inventories" xlink:label="ifrs-full_Inventories" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentPrepaymentsAndOtherCurrentAssets" xlink:label="ifrs-full_CurrentPrepaymentsAndOtherCurrentAssets" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_Inventories"
                          xlink:to="ifrs-full_CurrentPrepaymentsAndOtherCurrentAssets"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinishedGoods" xlink:label="ifrs-full_FinishedGoods" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_Inventories"
                          xlink:to="ifrs-full_FinishedGoods"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://grenardi.lv/xbrl/role/all/ias_1_role-210000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentFinancialAssets" xlink:label="ifrs-full_NoncurrentFinancialAssets" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DeferredTaxAssets" xlink:label="ifrs-full_DeferredTaxAssets" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_NoncurrentFinancialAssets"
                          xlink:to="ifrs-full_DeferredTaxAssets"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherNoncurrentFinancialAssets" xlink:label="ifrs-full_OtherNoncurrentFinancialAssets" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_NoncurrentFinancialAssets"
                          xlink:to="ifrs-full_OtherNoncurrentFinancialAssets"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://grenardi.lv/xbrl/role/all/ias_1_role-210000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PropertyPlantAndEquipment" xlink:label="ifrs-full_PropertyPlantAndEquipment" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RightofuseAssets" xlink:label="ifrs-full_RightofuseAssets" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_PropertyPlantAndEquipment"
                          xlink:to="ifrs-full_RightofuseAssets"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentPrepayments" xlink:label="ifrs-full_NoncurrentPrepayments" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_PropertyPlantAndEquipment"
                          xlink:to="ifrs-full_NoncurrentPrepayments"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ConstructionInProgress" xlink:label="ifrs-full_ConstructionInProgress" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_PropertyPlantAndEquipment"
                          xlink:to="ifrs-full_ConstructionInProgress"
                            weight="1.0"
                            order="3"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherPropertyPlantAndEquipment" xlink:label="ifrs-full_OtherPropertyPlantAndEquipment" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_PropertyPlantAndEquipment"
                          xlink:to="ifrs-full_OtherPropertyPlantAndEquipment"
                            weight="1.0"
                            order="4"
                          xlink:type="arc"/>
      <link:loc xlink:href="9845008F599B95980934-2025-12-31.xsd#GrenardiGroup_IlgtermiņaIeguldījumiNomātajosPamatlīdzekļos" xlink:label="GrenardiGroup_IlgtermiņaIeguldījumiNomātajosPamatlīdzekļos" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_PropertyPlantAndEquipment"
                          xlink:to="GrenardiGroup_IlgtermiņaIeguldījumiNomātajosPamatlīdzekļos"
                            weight="1.0"
                            order="5"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://grenardi.lv/xbrl/role/all/ias_1_role-210000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TradeAndOtherCurrentReceivables" xlink:label="ifrs-full_TradeAndOtherCurrentReceivables" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentTradeReceivables" xlink:label="ifrs-full_CurrentTradeReceivables" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_TradeAndOtherCurrentReceivables"
                          xlink:to="ifrs-full_CurrentTradeReceivables"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherReceivables" xlink:label="ifrs-full_OtherReceivables" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_TradeAndOtherCurrentReceivables"
                          xlink:to="ifrs-full_OtherReceivables"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentReceivablesDueFromAssociates" xlink:label="ifrs-full_CurrentReceivablesDueFromAssociates" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_TradeAndOtherCurrentReceivables"
                          xlink:to="ifrs-full_CurrentReceivablesDueFromAssociates"
                            weight="1.0"
                            order="3"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentPrepaidExpenses" xlink:label="ifrs-full_CurrentPrepaidExpenses" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_TradeAndOtherCurrentReceivables"
                          xlink:to="ifrs-full_CurrentPrepaidExpenses"
                            weight="1.0"
                            order="4"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PrepaymentsAndAccruedIncomeIncludingContractAssets" xlink:label="ifrs-full_PrepaymentsAndAccruedIncomeIncludingContractAssets" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_TradeAndOtherCurrentReceivables"
                          xlink:to="ifrs-full_PrepaymentsAndAccruedIncomeIncludingContractAssets"
                            weight="1.0"
                            order="5"
                          xlink:type="arc"/>
   </link:calculationLink>
   <!-- https://xbrl.org/2023/arcrole/summation-item https://grenardi.lv/xbrl/role/all/ias_1_role-410000 -->
   <link:calculationLink xlink:role="https://grenardi.lv/xbrl/role/all/ias_1_role-410000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ifrs-full_ComprehensiveIncome" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ifrs-full_ProfitLossBeforeTax" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ComprehensiveIncome"
                          xlink:to="ifrs-full_ProfitLossBeforeTax"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ComprehensiveIncome"
                          xlink:to="ifrs-full_IncomeTaxExpenseContinuingOperations"
                            weight="-1.0"
                            order="2"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://grenardi.lv/xbrl/role/all/ias_1_role-410000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GrossProfit" xlink:label="ifrs-full_GrossProfit" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Revenue" xlink:label="ifrs-full_Revenue" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_GrossProfit"
                          xlink:to="ifrs-full_Revenue"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CostOfSales" xlink:label="ifrs-full_CostOfSales" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_GrossProfit"
                          xlink:to="ifrs-full_CostOfSales"
                            weight="-1.0"
                            order="2"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://grenardi.lv/xbrl/role/all/ias_1_role-410000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ifrs-full_ProfitLossBeforeTax" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GrossProfit" xlink:label="ifrs-full_GrossProfit" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ProfitLossBeforeTax"
                          xlink:to="ifrs-full_GrossProfit"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_SellingExpense" xlink:label="ifrs-full_SellingExpense" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ProfitLossBeforeTax"
                          xlink:to="ifrs-full_SellingExpense"
                            weight="-1.0"
                            order="2"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdministrativeExpense" xlink:label="ifrs-full_AdministrativeExpense" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ProfitLossBeforeTax"
                          xlink:to="ifrs-full_AdministrativeExpense"
                            weight="-1.0"
                            order="3"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherIncome" xlink:label="ifrs-full_OtherIncome" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ProfitLossBeforeTax"
                          xlink:to="ifrs-full_OtherIncome"
                            weight="1.0"
                            order="4"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherExpenseByFunction" xlink:label="ifrs-full_OtherExpenseByFunction" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ProfitLossBeforeTax"
                          xlink:to="ifrs-full_OtherExpenseByFunction"
                            weight="-1.0"
                            order="5"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InterestRevenueExpense" xlink:label="ifrs-full_InterestRevenueExpense" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ProfitLossBeforeTax"
                          xlink:to="ifrs-full_InterestRevenueExpense"
                            weight="1.0"
                            order="6"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InterestExpense" xlink:label="ifrs-full_InterestExpense" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ProfitLossBeforeTax"
                          xlink:to="ifrs-full_InterestExpense"
                            weight="-1.0"
                            order="7"
                          xlink:type="arc"/>
   </link:calculationLink>
   <!-- https://xbrl.org/2023/arcrole/summation-item https://grenardi.lv/xbrl/role/all/ias_7_role-520000 -->
   <link:calculationLink xlink:role="https://grenardi.lv/xbrl/role/all/ias_7_role-520000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"
                          xlink:to="ifrs-full_CashFlowsFromUsedInOperatingActivities"
                            weight="1.0"
                            order="17.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"
                          xlink:to="ifrs-full_CashFlowsFromUsedInInvestingActivities"
                            weight="1.0"
                            order="18.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"
                          xlink:to="ifrs-full_CashFlowsFromUsedInFinancingActivities"
                            weight="1.0"
                            order="19.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents" xlink:label="ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"
                          xlink:to="ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents"
                            order="20.0"
                            weight="1.0"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://grenardi.lv/xbrl/role/all/ias_7_role-520000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperations" xlink:label="ifrs-full_CashFlowsFromUsedInOperations" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities"
                          xlink:to="ifrs-full_CashFlowsFromUsedInOperations"
                            order="10.0"
                            weight="1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:label="ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities"
                          xlink:to="ifrs-full_InterestPaidClassifiedAsOperatingActivities"
                            order="40.0"
                            weight="-1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:label="ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities"
                          xlink:to="ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities"
                            order="60.0"
                            weight="-1.0"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://grenardi.lv/xbrl/role/all/ias_7_role-520000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperations" xlink:label="ifrs-full_CashFlowsFromUsedInOperations" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperations"
                          xlink:to="ifrs-full_AdjustmentsForDecreaseIncreaseInInventories"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable" xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperations"
                          xlink:to="ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable" xlink:label="ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperations"
                          xlink:to="ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable"
                            weight="1.0"
                            order="3"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDepreciationExpense" xlink:label="ifrs-full_AdjustmentsForDepreciationExpense" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperations"
                          xlink:to="ifrs-full_AdjustmentsForDepreciationExpense"
                            weight="1.0"
                            order="4"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForAmortisationExpense" xlink:label="ifrs-full_AdjustmentsForAmortisationExpense" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperations"
                          xlink:to="ifrs-full_AdjustmentsForAmortisationExpense"
                            weight="1.0"
                            order="5"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains" xlink:label="ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperations"
                          xlink:to="ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains"
                            weight="1.0"
                            order="6"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForInterestIncome" xlink:label="ifrs-full_AdjustmentsForInterestIncome" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperations"
                          xlink:to="ifrs-full_AdjustmentsForInterestIncome"
                            weight="-1.0"
                            order="7"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForInterestExpense" xlink:label="ifrs-full_AdjustmentsForInterestExpense" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperations"
                          xlink:to="ifrs-full_AdjustmentsForInterestExpense"
                            weight="1.0"
                            order="8"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ifrs-full_ProfitLossBeforeTax" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperations"
                          xlink:to="ifrs-full_ProfitLossBeforeTax"
                            weight="1.0"
                            order="9"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://grenardi.lv/xbrl/role/all/ias_7_role-520000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:label="ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities"
                          xlink:to="ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities"
                            order="20.0"
                            weight="-1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:label="ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities"
                          xlink:to="ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities"
                            order="80.0"
                            weight="-1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InterestReceivedClassifiedAsInvestingActivities" xlink:label="ifrs-full_InterestReceivedClassifiedAsInvestingActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities"
                          xlink:to="ifrs-full_InterestReceivedClassifiedAsInvestingActivities"
                            order="200.0"
                            weight="1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:label="ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities"
                          xlink:to="ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities"
                            weight="-1.0"
                            order="201.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:label="ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities"
                          xlink:to="ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets"
                            weight="1.0"
                            order="202.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="9845008F599B95980934-2025-12-31.xsd#GrenardiGroup_IzslēgtoNemateriāloIeguldījumuUnPamatlīdzekļuKorekcija" xlink:label="GrenardiGroup_IzslēgtoNemateriāloIeguldījumuUnPamatlīdzekļuKorekcija" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities"
                          xlink:to="GrenardiGroup_IzslēgtoNemateriāloIeguldījumuUnPamatlīdzekļuKorekcija"
                            weight="1.0"
                            order="203.0"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://grenardi.lv/xbrl/role/all/ias_7_role-520000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:type="locator"/>
      <link:loc xlink:href="9845008F599B95980934-2025-12-31.xsd#GrenardiGroup_IeņēmumiNoAkcijuEmisijasVaiKapitālaLīdzdalībasDaļuIeguldījumiem" xlink:label="GrenardiGroup_IeņēmumiNoAkcijuEmisijasVaiKapitālaLīdzdalībasDaļuIeguldījumiem" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities"
                          xlink:to="GrenardiGroup_IeņēmumiNoAkcijuEmisijasVaiKapitālaLīdzdalībasDaļuIeguldījumiem"
                            weight="1.0"
                            order="69.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:label="ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities"
                          xlink:to="ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities"
                            order="70.0"
                            weight="1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:label="ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities"
                          xlink:to="ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities"
                            order="80.0"
                            weight="-1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:label="ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities"
                          xlink:to="ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities"
                            order="90.0"
                            weight="-1.0"
                          xlink:type="arc"/>
   </link:calculationLink>

</link:linkbase>